O1 {onion} | R Documentation

## Unit onions

### Description

Each of the eight unit quaternions and octonions

### Usage

    H1
    Hi
    Hj
    Hk
    H0
    Him
    Hall
    O1
    Oi
    Oj
    Ok
    Ol
    Oil
    Ojl
    O0
    Oim
    Oall

### Format

Each one is an onionic vector of length one.

### Details

Try `Hi` (=`quaternion(i=1)`) to get the pattern for the first four. The next ones are the zero quaternion, the pure imaginary quaternion with all components 1, and the quaternion with all components 1. The ones beginning with “O” follow a similar pattern.

These are just variables that may be overwritten and thus resemble `T` and `F` whose value may be changed.

### Examples

    Oall
    seq(from=O1,to=Oil,len=6)

    stopifnot(Hj*Hk ==  Hi)
    stopifnot(Okl*Oil == -Oj )  # See tests/aaa.R for the full set

[Package onion version 1.2-7 Index]